STTY(1)

NAMN
stty — ändra och skriv ut terminallinjeinställningar

SYNOPSIS
stty [-F ENHETS | --file=ENHETS] [INSTÄLLNING]...
stty [-F ENHETS | --file=ENHETS] [-a|--all]
stty [-F ENHETS | --file=ENHETS] [-g|--save]

BESKRIVNING

Skriv ut eller ändra terminalkarakteristik.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --all
    Skriv ut alla nuvarande inställningar läsligt.

-g, --save
    Skriv ut alla nuvarande inställningar i stty-format.

-F, --file=ENHET
    Öppna och använd angiven ENHET istället för standard in.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Möjligt - före INSTÄLLNING indikerar negation. En * indikerar en icke-POSIX-inställning. Det underliggande systemet definierar vilka inställningar som är tillgängliga.

  Specialtecken:

* discard TECKEN
    TECKEN kommer växla att utdata slängs

eof TECKEN
    TECKEN skickar ett filslut (avsluta inmatning)

eol TECKEN
    TECKEN avslutar raden

* eol2 TECKEN
    alternativt TECKEN för radslut

erase TECKEN
    TECKEN raderar det senast skrivna tecknet

intr TECKEN
    TECKEN skickar en avbrottssignal

kill TECKEN
    TECKEN raderar nuvarande rad

* lnext TECKEN
    TECKEN skriver nästa tecken som ett specialtecken

quit TECKEN
    TECKEN skickar en avslutningssignal

* rprnt TECKEN
    TECKEN ritar om nuvarande rad

start TECKEN
    TECKEN startar utskrift igen efter att ha stoppat den

stop TECKEN
    TECKEN stoppar utskriften

susp TECKEN
    TECKEN skickar en terminalstoppsignal

* swtch TECKEN
    TECKEN byter till ett annat skallager

* werase TECKEN
    TECKEN raderar det senast skrivna ordet

  Specialinställningar:

N   Sätt in- och utmatningshastighet till N baud.

* cols N
    Säg till kärnan att terminalen har N kolumner.

* columns N
    Samma som cols N.

* [-]drain
    Vänta på sändning före inställningen verkställs (på som standard).

ispeed N
    Sätt inmatningshastighet till N.

* line N
    Använd linjetyp N.

min N
    Med -icanon, sätt N tecken till minimum för en avslutad läsning.

ospeed N
    Sätt utmatningshastighet till N.

* rows N
    Säg till kärnan att terminalen har N rader.

* size
    Skriv ut antalet rader och kolumner enligt kärnan.

speed
    Skriv ut terminalens hastighet.

time N
    Med -icanon, sätt timeout för läsning till N tiondels sekunder.

  Kontrollinställningar:

[-]clocal
    Stäng av kontrollsignaler till modem.

[-]cread
    Tillåt mottagandet av indata.

* [-]crtscts
    Aktivera RTS/CTS-handskakning.

csN Sätt teckenstorleken till N bitar, N i [5..8].

[-]cstopb
    Använd två stoppbitar per tecken (en med ”-”).

[-]hup
    Skicka en avringningssignal när sista processen stänger ttyn.

[-]hupcl
    Samma som [-]hup.

[-]parenb
    Generera paritetsbit i utdata och förvänta paritetsbit i indata.

[-]parodd
    Ställ in udda paritet (eller jämn paritet med ”-”).

* [-]cmspar
    Använd ”fast” (märke/blank) paritet.

  Inställningar för inmatning:

[-]brkint
    Avbrott orsakar en avbrottssignal.

[-]icrnl
    Översätt vagnretur till nyrad.

[-]ignbrk
    Ignorera avbrottstecken.

[-]igncr
    Ignorera vagnretur.

[-]ignpar
    Ignorera tecken med paritetsfel.

* [-]imaxbel
    Pip men töm inte en full indatabuffert vid nytt tecken.

[-]inlcr
    Översätt nyrad till vagnretur.

[-]inpck
    Möjliggör paritetskontroll av indata.

[-]istrip
    Rensa den höga (8:e) biten i ett inmatningstecken.

* [-]iutf8
    Anta inmatningstecken är UTF-8-kodade.

* [-]iuclc
    Översätt versaler till gemener.

* [-]ixany
    Tillåt vilket tecken som helst att starta om utmatning, inte bara starttecken.

[-]ixoff
    Möjliggör start/stopp-tecken.

[-]ixon
    Möjliggör XON/XOFF flödeskontroll.

[-]parmrk
    Markera paritetsfel (med en 255-0 teckensekvens).

[-]tandem
    Samma som [-]ixoff.

  Inställningar för utmatning:

* bsN
    Fördröjning på backsteg, N är [0-1].

* crN
    Fördröjning på vagnretur, N är [0-3].

* ffN
    Fördröjning på sidmatning, N är [0-1].

* nlN
    Fördröjning på nyrad, N är [0-1].

* [-]ocrnl
    Översätt vagnretur till nyrad.

* [-]ofdel
    Använd raderingstecken till utfyllnad, istället för NOLL-tecken.

* [-]ofill
    Använd utfyllnadstecken istället för tidtagning vid fördröjningar.

* [-]olcuc
    Översätt gemener till versaler.

* [-]onlcr
    Översätt nyrad till vagnretur-nyrad.

* [-]onlret
    Nyrad utför en vagnretur.

* [-]onocr
    Skriv inte ut vagnretur i första kolumnen.

[-]opost
    Efterbehandla utdata.

* tabN
    Fördröjning på horisontell tabulator, N är [0-3].

* tabs
    Samma som tab0.

* -tabs
    Samma som tab3.

* vtN
    Fördröjning på vertikal tabulator, N är [0-1].

  Lokala inställningar:

[-]crterase
    Eka raderingstecken som backsteg-mellanslag-backsteg.

* crtkill
    Radera hela raden genom att använda inställningarna för echoprt och echoe.

* -crtkill
    Radera hela raden genom att använda inställningarna för echoctl och echok.

* [-]ctlecho
    Eka kontrolltecken med hattnotation (”^c”).

[-]echo
    Eka inmatade tecken.

* [-]echoctl
    Samma som [-]ctlecho.

[-]echoe
    Samma som [-]crterase.

[-]echok
    Eka ett nyrad efter ett dödatecken.

* [-]echoke
    Samma som [-]crtkill.

[-]echonl
    Eka nyrad även om inga andra tecken ekas.

* [-]echoprt
    Eka raderade tecken baklänges, mellan ”\” och ”/”.

* [-]extproc
    Aktivera ”LINEMODE”; användbart för länkar med hög latens.

* [-]flusho
    Kasta utdata.

[-]icanon
    Möjliggör specialtecknen: erase, kill, werase, rprnt

[-]iexten
    Möjliggör specialtecken som inte är POSIX-tecken.

[-]isig
    Möjliggör specialtecken för avbrott, avslut och uppehåll.

[-]noflsh
    Koppla bort rensning efter specialtecken för avbrott och avslut.

* [-]prterase
    Samma som [-]echoprt.

* [-]tostop
    Stoppa bakgrundsjobb som försöker skriva till terminalen.

* [-]xcase
    Tillsammans med icanon, används ”\” som kontrollsekvens för versaltecken.

  Kombinationsinställningar:

* [-]LCASE
    Samma som [-]lcase.

cbreak
    Samma som -icanon.

-cbreak
    Samma som icanon.

cooked
    Samma som brkint ignpar istrip icrnl ixon opost isig icanon, eof- och eol-tecknen till sina standardvärden.

-cooked
    Samma som raw.

crt Samma som echoe echoctl echoke.

dec Samma som echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u.

* [-]decctlq
    Samma som [-]ixany.

ek  Erase- och kill-tecken till sina standardvärden.

evenp
    Samma som parenb -parodd cs7.

-evenp
    Samma som -parenb cs8.

* [-]lcase
    Samma som xcase iuclc olcuc.

litout
    Samma som -parenb -istrip -opost cs8.

-litout
    Samma som parenb istrip opost cs7.

nl  Samma som -icrnl -onlcr.

-nl Samma som icrnl -inlcr -igncr onlcr -ocrnl -onlret.

oddp
    Samma som parenb parodd cs7.

-oddp
    Samma som -parenb cs8.

[-]parity
    Samma som [-]evenp.

pass8
    Samma som -parenb -istrip cs8.

-pass8
    Samma som parenb istrip cs7.

raw Samma som -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0.

-raw
    Samma som cooked.

sane
    Samma som cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho, alla specialtecken till sina standardvärden.

Hantera tty-linjen kopplad till standard in. Utan argument skrivs baudhastighet, radtyp och avvikelse från stty sane ut. I inställningarna tolkas TECKEN ordagrant, eller kodat som i ^c, 0x37, 0177 eller 127; specialvärdet ^- eller undef används för att stänga av specialtecken.

UPPHOVSMAN
Skrivet av David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/stty>
eller tillgängligt lokalt via: info '(coreutils) stty invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.